ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-14066) Ambari Server Upgrade from 2.1.2 to 2.1.3.0 fails with NPE
Date Wed, 25 Nov 2015 21:07:11 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-14066?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15027609#comment-15027609
] 

Hudson commented on AMBARI-14066:
---------------------------------

ABORTED: Integrated in Ambari-trunk-Commit #3911 (See [https://builds.apache.org/job/Ambari-trunk-Commit/3911/])
AMBARI-14066. Ambari Server Upgrade from 2.1.2 to 2.1.3.0 fails with (mpapyrkovskyy: [http://git-wip-us.apache.org/repos/asf?p=ambari.git&a=commit&h=a147e43c8fb2a0ed71442b0375565b70a59ab72a])
* ambari-server/src/main/java/org/apache/ambari/server/orm/entities/UpgradeEntity.java


> Ambari Server Upgrade from 2.1.2 to 2.1.3.0 fails with NPE
> ----------------------------------------------------------
>
>                 Key: AMBARI-14066
>                 URL: https://issues.apache.org/jira/browse/AMBARI-14066
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.1.3
>            Reporter: Myroslav Papirkovskyy
>            Assignee: Myroslav Papirkovskyy
>            Priority: Blocker
>             Fix For: 2.1.3
>
>
> When upgrading from Ambari 2.1.2-377 to 2.1.3.0, and running ambari-server upgrade, the
upgrade fails with a NPE:
> {noformat}
> [root@revo1 ~]# ambari-server upgrade
> Using python  /usr/bin/python2
> Upgrading ambari-server
> Updating properties in ambari.properties ...
> WARNING: Can not find ambari-env.sh.rpmsave file from previous version, skipping restore
of environment settings
> Fixing database objects owner
> Ambari Server configured for Embedded Postgres. Confirm you have made a backup of the
Ambari Server database [y/n] (y)? 
> Upgrading database schema
> Error output from schema upgrade command:
> Exception in thread "main" org.apache.ambari.server.AmbariException
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executePreDMLUpdates(SchemaUpgradeHelper.java:215)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:302)
> Caused by: java.lang.NullPointerException
> 	at org.apache.ambari.server.orm.entities.UpgradeEntity.isDowngradeAllowed(UpgradeEntity.java:213)
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog213.executeUpgradePreDMLUpdates(UpgradeCatalog213.java:265)
> 	at org.apache.ambari.server.upgrade.UpgradeCatalog213.executePreDMLUpdates(UpgradeCatalog213.java:246)
> 	at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.preUpgradeData(AbstractUpgradeCatalog.java:538)
> 	at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executePreDMLUpdates(SchemaUpgradeHelper.java:212)
> 	... 1 more
> ERROR: Error executing schema upgrade, please check the server logs.
> ERROR: Ambari server upgrade failed. Please look at /var/log/ambari-server/ambari-server.log,
for more details.
> ERROR: Exiting with exit code 11. 
> REASON: Schema upgrade failed.
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message